/*
 * Copyright (C) 2023-2024 IOPSYS Software Solutions AB. All rights reserved.
 *
 *
 * See LICENSE file for license related information.
 *
 * Author: Amin Ben Romdhane <amin.benromdhane@iopsys.eu>
 *
 */

#ifndef __WIFI_DATAELEMENTS_H
#define __WIFI_DATAELEMENTS_H

#include "libbbfdm-api/dmcommon.h"

extern DMOBJ tDeviceWiFiDataElementsObj[];
extern DMOBJ tWiFiDataElementsObj[];
extern DMOBJ tWiFiDataElementsNetworkObj[];
extern DMLEAF tWiFiDataElementsNetworkParams[];
extern DMLEAF tWiFiDataElementsNetworkSSIDParams[];
extern DMLEAF tWiFiDataElementsNetworkMultiAPSteeringSummaryStatsParams[];
extern DMOBJ tWiFiDataElementsNetworkDeviceObj[];
extern DMLEAF tWiFiDataElementsNetworkDeviceParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceDefault8021QParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceSSIDtoVIDMappingParams[];
extern DMOBJ tWiFiDataElementsNetworkDeviceCACStatusObj[];
extern DMLEAF tWiFiDataElementsNetworkDeviceCACStatusParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceCACStatusCACAvailableChannelParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceCACStatusCACNonOccupancyChannelParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceCACStatusCACActiveChannelParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceSPRuleParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceIEEE1905SecurityParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceAnticipatedChannelsParams[];
extern DMOBJ tWiFiDataElementsNetworkDeviceAnticipatedChannelUsageObj[];
extern DMLEAF tWiFiDataElementsNetworkDeviceAnticipatedChannelUsageParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceAnticipatedChannelUsageEntryParams[];
extern DMOBJ tWiFiDataElementsNetworkDeviceMultiAPDeviceObj[];
extern DMLEAF tWiFiDataElementsNetworkDeviceMultiAPDeviceParams[];
extern DMOBJ tWiFiDataElementsNetworkDeviceMultiAPDeviceBackhaulObj[];
extern DMLEAF tWiFiDataElementsNetworkDeviceMultiAPDeviceBackhaulParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceMultiAPDeviceBackhaulCurrentOperatingClassProfileParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceMultiAPDeviceBackhaulStatsParams[];
extern DMOBJ tWiFiDataElementsNetworkDeviceRadioObj[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioParams[];
extern DMOBJ tWiFiDataElementsNetworkDeviceRadioScanResultObj[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioScanResultParams[];
extern DMOBJ tWiFiDataElementsNetworkDeviceRadioScanResultOpClassScanObj[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioScanResultOpClassScanParams[];
extern DMOBJ tWiFiDataElementsNetworkDeviceRadioScanResultOpClassScanChannelScanObj[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioScanResultOpClassScanChannelScanParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioScanResultOpClassScanChannelScanNeighborBSSParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioBackhaulStaParams[];
extern DMOBJ tWiFiDataElementsNetworkDeviceRadioScanCapabilityObj[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioScanCapabilityParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioScanCapabilityOpClassChannelsParams[];
extern DMOBJ tWiFiDataElementsNetworkDeviceRadioCACCapabilityObj[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioCACCapabilityParams[];
extern DMOBJ tWiFiDataElementsNetworkDeviceRadioCACCapabilityCACMethodObj[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioCACCapabilityCACMethodParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioCACCapabilityCACMethodOpClassChannelsParams[];
extern DMOBJ tWiFiDataElementsNetworkDeviceRadioCapabilitiesObj[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioCapabilitiesParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioCapabilitiesWiFi6APRoleParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioCapabilitiesWiFi6bSTARoleParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioCapabilitiesAKMFrontHaulParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioCapabilitiesAKMBackhaulParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioCapabilitiesCapableOperatingClassProfileParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioCurrentOperatingClassProfileParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioDisAllowedOpClassChannelsParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioSpatialReuseParams[];
extern DMOBJ tWiFiDataElementsNetworkDeviceRadioBSSObj[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioBSSParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioBSSQMDescriptorParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioBSSMultiAPSteeringParams[];
extern DMOBJ tWiFiDataElementsNetworkDeviceRadioBSSSTAObj[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioBSSSTAParams[];
extern DMOBJ tWiFiDataElementsNetworkDeviceRadioBSSSTAMultiAPSTAObj[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioBSSSTAMultiAPSTAParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioBSSSTAMultiAPSTASteeringSummaryStatsParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioBSSSTAMultiAPSTASteeringHistoryParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioBSSSTAWiFi6CapabilitiesParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioBSSSTATIDQueueSizesParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioUnassociatedSTAParams[];
extern DMLEAF tWiFiDataElementsNetworkDeviceRadioMultiAPRadioParams[];
extern DMLEAF tWiFiDataElementsAssociationEventParams[];
extern DMLEAF tWiFiDataElementsDisassociationEventParams[];
extern DMLEAF tWiFiDataElementsFailedConnectionEventParams[];

#endif //__WIFI_DATAELEMENTS_H
